> ## Name

> cgIsEffect - determine if an effect handle references a valid effect

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgIsEffect( CGeffect effect );

> ## Parameters

> effect
>   The effect handle to check.

> ## Return Values

> Returns CG_TRUE if effect references a valid effect.

> Returns CG_FALSE otherwise.

> ## Description

> cgIsEffect returns CG_TRUE if effect references a valid effect, CG_FALSE otherwise.

> ## Examples

> to-be-written

> ## Errors

> None.

> ## History

> cgIsEffect was introduced in Cg 1.4.

> ## See Also

> cgCreateEffect, cgCreateEffectFromFile